package models

import (
	"gogs.mikescher.com/BlackForestBytes/goext/rfctime"
)

type SolseitMapping struct {
	SolseitMappingID     SolseitMappingID        `json:"id"                      bson:"_id,omitempty"`
	Sort                 int                     `json:"sort"                    bson:"sort"`
	CreationTime         rfctime.RFC3339NanoTime `json:"creationTime"            bson:"creationTime"`
	SolseitCommunityName string                  `json:"solseitCommunityName"    bson:"solseitCommunityName"`
	SolseitCommunityID   int                     `json:"solseitCommunityID"      bson:"solseitCommunityID"`
	SolseitRubricName    string                  `json:"solseitRubricName"       bson:"solseitRubricName"`
	SolseitRubricID      int                     `json:"solseitRubricID"         bson:"solseitRubricID"`
	BadennetOrg          OrganizationID          `json:"badennetOrg"             bson:"badennetContentProvider"`
	BadennetGroup        *GroupID                `json:"badennetGroup"           bson:"badennetGroup"`
}
